import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  createdAt: z.coerce.date().optional()
}).strict();
export const DatabaseBackupUncheckedCreateInputObjectSchema: z.ZodType<Prisma.DatabaseBackupUncheckedCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupUncheckedCreateInput>;
export const DatabaseBackupUncheckedCreateInputObjectZodSchema = makeSchema();
